<template>
 <div class="form-container">
   <form class="form" v-on:submit.prevent="sendForm">

     <div class="civilite-container">
      <div>
        <input type="radio" id="mister" label="Monsieur" name="civilite" value="Mr" v-model="civilite" />
        <label for="mister">Monsieur</label>
      </div>
      <div>
        <input type="radio" id="miss" label="Madame" name="civilite" value="Mrs" v-model="civilite" />
        <label for="miss">Madame</label>
      </div>
     </div>
   
    <custom-text-field name="lastname" label="Nom" v-model="lastname" required="true" />
    <custom-text-field name="firstname" label="Prénom" v-model="firstname" required="true" />

    <custom-text-field name="email" label="Email" v-model="email" required="true" />

    <custom-text-field name="mobile" label="Mobile" v-model="mobileNumber" required="true" />
    <custom-text-field name="fixe" label="Fixe" v-model="phoneNumber" required="true" />

    <custom-text-field name="orderNumber" label="Numéro de commande" v-model="orderNumber" />

    <custom-textarea label="Description" v-model="description" />

    <road-button color="secondary" button-type="submit">Envoyer</road-button>
    </form>
  </div>
</template>

<script>
import { createReclamationECommerce } from './../api/zendesk';
import CustomTextarea from './CustomTextarea/CustomTextarea.vue';
import CustomTextField from './CustomTextField/CustomTextField.vue';

export default {
  name: 'ReclamationECommerceForm',
  components: {
    CustomTextField,
    CustomTextarea
  },
  data() {
    return {
      civilite: "",
      lastname: "",
      firstname: "",
      email: "",
      phoneNumber: "",
      mobileNumber: "",
      orderNumber: "",
      subject: "",
      description: ""
    }
  },
  methods: {
    sendForm: function() {
      createReclamationECommerce(this.civilite, this.lastname, this.firstname, this.email, this.phoneNumber, this.mobileNumber, this.orderNumber, this.description)
    }
  }
}
</script>

<style lang="scss" scoped>

.form-container {
  display: flex;
  justify-content: center;

  .form {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 400px;

    .civilite-container {
      display: flex;
    }
  }
}

</style>
